Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.quality

# Class DefaultHomogeneity

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractElement
AbstractMetaquality
DefaultHomogeneity

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `Element`

@UML(identifier="DQ_Homogeneity", specification=UNSPECIFIED) public class DefaultHomogeneity extends AbstractMetaquality
Expected or tested uniformity of the results obtained for a data quality evaluation. The following properties are mandatory in a well-formed metadata according ISO 19157:
`DQ_Homogeneity` `├─result…………………………` Value obtained from applying a data quality measure. `└─derivedElement……` Derived element.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultHomogeneity()`
  Constructs an initially empty aggregation derivation.
  `DefaultHomogeneity(DefaultHomogeneity object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.

  ### Methods inherited from class AbstractElement

  `castOrCopy, getDates, getDerivedElements, getEvaluationMethod, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getMeasureReference, getNamesOfMeasure, getResults, getStandaloneQualityReportDetails, setDates, setDerivedElements, setEvaluationMethod, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setMeasureDescription, setMeasureIdentification, setMeasureReference, setNamesOfMeasure, setResults, setStandaloneQualityReportDetails`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultHomogeneity

    public DefaultHomogeneity()
    Constructs an initially empty aggregation derivation.

  - ### DefaultHomogeneity

    public DefaultHomogeneity(DefaultHomogeneity object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.